Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## info.bioinfweb.treegraph.document.io.newick
Class NewickReader

    java.lang.Object
      info.bioinfweb.treegraph.document.io.AbstractDocumentReader
          info.bioinfweb.treegraph.document.io.TextStreamReader
              info.bioinfweb.treegraph.document.io.newick.NewickReader

All Implemented Interfaces:
  DocumentReader

    public class NewickReader

extends TextStreamReader
implements DocumentReader

Field Summary

Fields inherited from class info.bioinfweb.treegraph.document.io.AbstractDocumentReader
`document`

Constructor Summary
`NewickReader()` Contructs an instance of `NewickReader`.

Method Summary
`Document` | `read(java.io.File file, NodeBranchDataAdapter internalAdapter, NodeBranchDataAdapter branchLengthsAdapter, TreeSelector selector, boolean translateInternals)` If you want to implement file specific functionalities you should override this method.
`Document` | `read(java.io.InputStream stream, NodeBranchDataAdapter internalAdapter, NodeBranchDataAdapter branchLengthsAdapter, TreeSelector selector, boolean translateInternals)`

Methods inherited from class info.bioinfweb.treegraph.document.io.TextStreamReader
`readStream`

Methods inherited from class info.bioinfweb.treegraph.document.io.AbstractDocumentReader
`read, read, read, read`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface info.bioinfweb.treegraph.document.io.DocumentReader
`read, read, read, read`

Constructor Detail

### NewickReader

    public NewickReader()

  Contructs an instance of `NewickReader`.

Method Detail

### read

    public Document read(java.io.InputStream stream,
                         NodeBranchDataAdapter internalAdapter,
                         NodeBranchDataAdapter branchLengthsAdapter,
                         TreeSelector selector,
                         boolean translateInternals)
                  throws java.lang.Exception

  Specified by:
    `read` in interface `DocumentReader`
  Throws:
    `java.lang.Exception`

### read

    public Document read(java.io.File file,
                         NodeBranchDataAdapter internalAdapter,
                         NodeBranchDataAdapter branchLengthsAdapter,
                         TreeSelector selector,
                         boolean translateInternals)
                  throws java.lang.Exception

  Description copied from class: `AbstractDocumentReader`
  If you want to implement file specific functionalities you should override this method. It is called by all other `read`-methods with a file as parameter.

  Specified by:
    `read` in interface `DocumentReader`
  Overrides:
    `read` in class `AbstractDocumentReader`
  Throws:
    `java.lang.Exception`
  See Also:
    `info.bioinfweb.treegraph.document.io.DocumentReader#read(java.io.File, NodeBranchDataAdapter, int)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD